> ## Documentation Index
> Fetch the complete documentation index at: https://developers.fireblocks.com/llms.txt
> Use this file to discover all available pages before exploring further.

<AgentInstructions>

## Submitting Feedback

If you encounter incorrect, outdated, or confusing documentation on this page, submit feedback:

POST https://developers.fireblocks.com/feedback

```json
{
  "path": "/api-reference/connected-accounts-beta/get-exchange-rates-for-an-account",
  "feedback": "Description of the issue"
}
```

Only submit feedback when you have something specific and actionable to report.

</AgentInstructions>

# Get exchange rates for an account

> Retrieve current exchange rates for converting between specific assets in a connected account.

**Note:** This endpoint is currently in beta and might be subject to changes.




## OpenAPI

````yaml https://docs.fireblocks.com/api/v1/swagger.yaml get /connected_accounts/{accountId}/rates
openapi: 3.0.0
info:
  title: Fireblocks API
  description: >
    Fireblocks provides a suite of applications to manage digital asset
    operations and a complete development platform to build your business on the
    blockchain.


    - Visit our website for more information: [Fireblocks
    Website](https://fireblocks.com)

    - Visit our developer docs: [Fireblocks
    DevPortal](https://developers.fireblocks.com)
  version: 1.6.2
  contact:
    email: developers@fireblocks.com
servers:
  - url: https://api.fireblocks.io/v1
    description: Fireblocks Production Environment Base URL
  - url: https://sandbox-api.fireblocks.io/v1
    description: Fireblocks Sandbox Environment Base URL
security: []
paths:
  /connected_accounts/{accountId}/rates:
    get:
      tags:
        - Connected Accounts (Beta)
      summary: Get exchange rates for an account
      description: >
        Retrieve current exchange rates for converting between specific assets
        in a connected account.


        **Note:** This endpoint is currently in beta and might be subject to
        changes.
      operationId: getConnectedAccountRates
      parameters:
        - name: accountId
          in: path
          required: true
          description: The ID of the account to fetch rates for.
          schema:
            type: string
            minLength: 1
        - name: baseAssetId
          in: query
          required: true
          description: The ID of the asset to fetch rates for.
          schema:
            type: string
            minLength: 1
        - name: quoteAssetId
          in: query
          required: true
          description: The ID of the asset to get the rates nominally.
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: Rates response
          headers:
            X-Request-ID:
              $ref: '#/components/headers/X-Request-ID'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ConnectedAccountRateResponse'
        default:
          $ref: '#/components/responses/Error'
      x-codeSamples:
        - lang: TypeScript
          source: >-
            const response:
            Promise<FireblocksResponse<ConnectedAccountRateResponse>> =
            fireblocks.connectedAccountsBeta.getConnectedAccountRates(connectedAccountsBetaApiGetConnectedAccountRatesRequest);
        - lang: Java
          source: >-
            CompletableFuture<ApiResponse<ConnectedAccountRateResponse>>
            response =
            fireblocks.connectedAccountsBeta().getConnectedAccountRates(accountId,
            baseAssetId, quoteAssetId);
        - lang: Python
          source: >-
            response =
            fireblocks.connected_accounts_beta.get_connected_account_rates(account_id,
            base_asset_id, quote_asset_id);
components:
  headers:
    X-Request-ID:
      schema:
        type: string
      description: >-
        Unique ID correlated to the API request. Please provide it in any
        support ticket you create or on Github issues related to Fireblocks SDKs
  schemas:
    ConnectedAccountRateResponse:
      type: object
      properties:
        accountId:
          type: string
          description: The ID of the account that generated the quote.
          example: ea6c3cb7-355a-4ee3-82ff-267c69970210
        baseAssetId:
          type: string
          description: The source asset identifier
          example: BTC
        quoteAssetId:
          type: string
          description: The target asset identifier
          example: USD
        rate:
          type: string
          description: The exchange rate value
          example: '1.2345'
      required:
        - accountId
        - baseAssetId
        - quoteAssetId
        - rate
    ErrorSchema:
      type: object
      properties:
        message:
          type: string
        code:
          type: number
  responses:
    Error:
      description: Error Response
      headers:
        X-Request-ID:
          $ref: '#/components/headers/X-Request-ID'
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorSchema'

````